[Spice-commits] 4 commits - autogen.sh configure.ac .gitmodules Makefile.am server/tests spice-protocol
Marc-André Lureau
elmarco at kemper.freedesktop.org
Thu Mar 1 07:26:13 PST 2012
.gitmodules | 3
Makefile.am | 3
autogen.sh | 168 +++--------------------------------------------
configure.ac | 4 -
server/tests/Makefile.am | 53 ++++++++++++--
spice-protocol | 1
6 files changed, 64 insertions(+), 168 deletions(-)
New commits:
commit 534b71dfaaf78e8ab2991bbb105f5601f23e7e16
Author: Marc-André Lureau <marcandre.lureau at redhat.com>
Date: Thu Mar 1 12:16:15 2012 +0100
build-sys: fix make distcheck
- Do not refer to .c files managed by another makefile (this will fail
make distclean)
- Do not refer to files by relative path (should use $top_srcdir for ex)
- Use LDADD for object linking instead of LDFLAGS, for linker flags
diff --git a/server/tests/Makefile.am b/server/tests/Makefile.am
index 31c8372..61fad75 100644
--- a/server/tests/Makefile.am
+++ b/server/tests/Makefile.am
@@ -13,12 +13,12 @@ if SUPPORT_AUTOMATED_TESTS
INCLUDES += -DAUTOMATED_TESTS
endif
-AM_LDFLAGS = \
+LDADD = \
+ $(top_builddir)/common/libspice-common.la \
$(top_builddir)/server/libspice-server.la \
$(NULL)
COMMON_BASE = \
- ../../common/backtrace.c \
basic_event_loop.c \
basic_event_loop.h \
test_util.h \
commit 22ee470d4ef45e3dcfa74ebf6adc0816227d16e5
Author: Marc-André Lureau <marcandre.lureau at redhat.com>
Date: Thu Mar 1 00:25:36 2012 +0100
build-sys: cleanup server/tests/Makefile.am
diff --git a/server/tests/Makefile.am b/server/tests/Makefile.am
index bc4e00e..31c8372 100644
--- a/server/tests/Makefile.am
+++ b/server/tests/Makefile.am
@@ -13,21 +13,54 @@ if SUPPORT_AUTOMATED_TESTS
INCLUDES += -DAUTOMATED_TESTS
endif
-AM_LDFLAGS = $(top_builddir)/server/libspice-server.la
-
-COMMON_BASE=basic_event_loop.c basic_event_loop.h test_util.h ../../common/backtrace.c
+AM_LDFLAGS = \
+ $(top_builddir)/server/libspice-server.la \
+ $(NULL)
+COMMON_BASE = \
+ ../../common/backtrace.c \
+ basic_event_loop.c \
+ basic_event_loop.h \
+ test_util.h \
+ $(NULL)
-noinst_PROGRAMS = test_just_sockets_no_ssl test_empty_success test_fail_on_null_core_interface test_display_no_ssl test_display_streaming test_playback
+noinst_PROGRAMS = \
+ test_display_no_ssl \
+ test_display_streaming \
+ test_empty_success \
+ test_fail_on_null_core_interface \
+ test_just_sockets_no_ssl \
+ test_playback \
+ $(NULL)
-test_display_streaming_SOURCES = test_display_streaming.c test_display_base.c test_display_base.h $(COMMON_BASE)
+test_display_streaming_SOURCES = \
+ $(COMMON_BASE) \
+ test_display_base.c \
+ test_display_base.h \
+ test_display_streaming.c \
+ $(NULL)
-test_display_no_ssl_SOURCES = test_display_no_ssl.c test_display_base.c test_display_base.h $(COMMON_BASE)
+test_display_no_ssl_SOURCES = \
+ $(COMMON_BASE) \
+ test_display_base.c \
+ test_display_base.h \
+ test_display_no_ssl.c \
+ $(NULL)
-test_just_sockets_no_ssl_SOURCES = test_just_sockets_no_ssl.c $(COMMON_BASE)
+test_just_sockets_no_ssl_SOURCES = \
+ $(COMMON_BASE) \
+ test_just_sockets_no_ssl.c \
+ $(NULL)
-test_empty_success_SOURCES = test_empty_success.c
+test_playback_SOURCES = \
+ $(COMMON_BASE) \
+ test_playback.c \
+ $(NULL)
-test_fail_on_null_core_interface_SOURCES = test_fail_on_null_core_interface.c
+test_empty_success_SOURCES = \
+ test_empty_success.c \
+ $(NULL)
-test_playback_SOURCES = test_playback.c $(COMMON_BASE)
+test_fail_on_null_core_interface_SOURCES = \
+ test_fail_on_null_core_interface.c \
+ $(NULL)
commit 5d57fb4d1b119119f2b9512321fa8ac40df853a7
Author: Marc-André Lureau <marcandre.lureau at redhat.com>
Date: Thu Mar 1 11:54:54 2012 +0100
build-sys: use spice-protocol as submodule
diff --git a/.gitmodules b/.gitmodules
new file mode 100644
index 0000000..f7de75d
--- /dev/null
+++ b/.gitmodules
@@ -0,0 +1,3 @@
+[submodule "spice-protocol"]
+ path = spice-protocol
+ url = ../spice-protocol
diff --git a/Makefile.am b/Makefile.am
index 33bb25c..6c27750 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,7 @@
ACLOCAL_AMFLAGS = -I m4
SUBDIRS = common server python_modules
+DIST_SUBDIRS = spice-protocol $(SUBDIRS)
if SUPPORT_CLIENT
SUBDIRS += client
diff --git a/autogen.sh b/autogen.sh
index ee98e21..571549e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -8,6 +8,9 @@ test -z "$srcdir" && srcdir=.
olddir=`pwd`
cd "$srcdir"
+git submodule init
+git submodule update
+
mkdir -p m4
autoreconf --verbose --force --install
diff --git a/configure.ac b/configure.ac
index b8acfa9..1ca5e77 100644
--- a/configure.ac
+++ b/configure.ac
@@ -25,6 +25,7 @@ AC_PROG_LIBTOOL
AM_PROG_CC_C_O
AC_C_BIGENDIAN
AC_PATH_PROGS(PYTHON, python2 python)
+PKG_PROG_PKG_CONFIG
AC_CHECK_HEADERS([sys/time.h])
AC_CHECK_HEADERS([execinfo.h])
@@ -139,7 +140,8 @@ AM_CONDITIONAL(SUPPORT_AUTOMATED_TESTS, test "x$enable_automated_tests" != "xno"
dnl =========================================================================
dnl Check deps
-PKG_CHECK_MODULES(PROTOCOL, spice-protocol >= 0.10.1)
+AC_CONFIG_SUBDIRS([spice-protocol])
+PROTOCOL_CFLAGS='-I ${top_srcdir}/spice-protocol'
AC_SUBST(PROTOCOL_CFLAGS)
AC_CHECK_LIBM
diff --git a/spice-protocol b/spice-protocol
new file mode 160000
index 0000000..d5edafd
--- /dev/null
+++ b/spice-protocol
@@ -0,0 +1 @@
+Subproject commit d5edafd28ab762b1b5f663aec449d3e3743f1184
commit 5077ab60f8c2ec44a3ae40c2b3f986bf038b3e8f
Author: Marc-André Lureau <marcandre.lureau at redhat.com>
Date: Wed Feb 29 23:37:39 2012 +0100
build-sys: cleanup, use autoreconf
diff --git a/Makefile.am b/Makefile.am
index c807359..33bb25c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,3 +1,5 @@
+ACLOCAL_AMFLAGS = -I m4
+
SUBDIRS = common server python_modules
if SUPPORT_CLIENT
diff --git a/autogen.sh b/autogen.sh
index 48ee9a2..ee98e21 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,166 +1,17 @@
-#! /bin/sh
+#!/bin/sh
set -e # exit on errors
-# FIXME: can replace this entire script with
-# the following line if we can require autoconf 2.60:
-# autoreconf -v --force --install || exit 1
-
-PACKAGE=spice
-
-ACLOCAL_FLAGS=""
-LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
-LIBTOOLIZE_FLAGS="--copy --force"
-AUTOHEADER=${AUTOHEADER-autoheader}
-AUTOMAKE=${AUTOMAKE-automake}
-AUTOMAKE_FLAGS="--add-missing --gnu"
-AUTOCONF=${AUTOCONF-autoconf}
-
-# automake 1.8 requires autoconf 2.58
-# automake 1.7 requires autoconf 2.54
-automake_min_vers=1.7
-aclocal_min_vers=$automake_min_vers
-autoconf_min_vers=2.54
-libtoolize_min_vers=1.4
-
-# The awk-based string->number conversion we use needs a C locale to work
-# as expected. Setting LC_ALL overrides whether the user set LC_ALL,
-# LC_NUMERIC, or LANG.
-LC_ALL=C
-
-ARGV0=$0
-
-# Allow invocation from a separate build directory; in that case, we change
-# to the source directory to run the auto*, then change back before running configure
-srcdir=`dirname $ARGV0`
+srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
-
-# Not all echo versions allow -n, so we check what is possible. This test is
-# based on the one in autoconf.
-case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
- *c*,-n*) ECHO_N= ;;
- *c*,* ) ECHO_N=-n ;;
- *) ECHO_N= ;;
-esac
-
-
-# some terminal codes ...
-boldface="`tput bold 2>/dev/null || true`"
-normal="`tput sgr0 2>/dev/null || true`"
-printbold() {
- echo $ECHO_N "$boldface"
- echo "$@"
- echo $ECHO_N "$normal"
-}
-printerr() {
- echo "$@" >&2
-}
-
-
-# Usage:
-# compare_versions MIN_VERSION ACTUAL_VERSION
-# returns true if ACTUAL_VERSION >= MIN_VERSION
-compare_versions() {
- ch_min_version=$1
- ch_actual_version=$2
- ch_status=0
- IFS="${IFS= }"; ch_save_IFS="$IFS"; IFS="."
- set $ch_actual_version
- for ch_min in $ch_min_version; do
- ch_cur=`echo $1 | sed 's/[^0-9].*$//'`; shift # remove letter suffixes
- if [ -z "$ch_min" ]; then break; fi
- if [ -z "$ch_cur" ]; then ch_status=1; break; fi
- if [ $ch_cur -gt $ch_min ]; then break; fi
- if [ $ch_cur -lt $ch_min ]; then ch_status=1; break; fi
- done
- IFS="$ch_save_IFS"
- return $ch_status
-}
+olddir=`pwd`
+cd "$srcdir"
-# Usage:
-# version_check PACKAGE VARIABLE CHECKPROGS MIN_VERSION SOURCE
-# checks to see if the package is available
-version_check() {
- vc_package=$1
- vc_variable=$2
- vc_checkprogs=$3
- vc_min_version=$4
- vc_source=$5
- vc_status=1
+mkdir -p m4
+autoreconf --verbose --force --install
- vc_checkprog=`eval echo "\\$$vc_variable"`
- if [ -n "$vc_checkprog" ]; then
- printbold "using $vc_checkprog for $vc_package"
- return 0
- fi
-
- printbold "checking for $vc_package >= $vc_min_version..."
- for vc_checkprog in $vc_checkprogs; do
- echo $ECHO_N " testing $vc_checkprog... "
- if $vc_checkprog --version < /dev/null > /dev/null 2>&1; then
- vc_actual_version=`$vc_checkprog --version | head -n 1 | \
- sed 's/^.*[ ]\([0-9.]*[a-z]*\).*$/\1/'`
- if compare_versions $vc_min_version $vc_actual_version; then
- echo "found $vc_actual_version"
- # set variable
- eval "$vc_variable=$vc_checkprog"
- vc_status=0
- break
- else
- echo "too old (found version $vc_actual_version)"
- fi
- else
- echo "not found."
- fi
- done
- if [ "$vc_status" != 0 ]; then
- printerr "***Error***: You must have $vc_package >= $vc_min_version installed"
- printerr " to build $PROJECT. Download the appropriate package for"
- printerr " from your distribution or get the source tarball at"
- printerr " $vc_source"
- printerr
- fi
- return $vc_status
-}
-
-version_check autoconf AUTOCONF $AUTOCONF $autoconf_min_vers \
- "http://ftp.gnu.org/pub/gnu/autoconf/autoconf-${autoconf_min_vers}.tar.gz" || DIE=1
-version_check automake AUTOMAKE "$AUTOMAKE automake automake-1.10 automake-1.9 automake-1.8 automake-1.7" $automake_min_vers \
- "http://ftp.gnu.org/pub/gnu/automake/automake-${automake_min_vers}.tar.gz" || DIE=1
-ACLOCAL=`echo $AUTOMAKE | sed s/automake/aclocal/`
-version_check libtool LIBTOOLIZE "$LIBTOOLIZE glibtoolize libtoolize" $libtoolize_min_vers \
- "http://ftp.gnu.org/pub/gnu/libtool/libtool-${libtool_min_vers}.tar.gz" || DIE=1
-
-if test -n "$DIE"; then
- exit 1
-fi
-
-
-if test -z "$*"; then
- echo "$ARGV0: Note: \`./configure' will be run with no arguments."
- echo " If you wish to pass any to it, please specify them on the"
- echo " \`$0' command line."
- echo
+cd "$olddir"
+if [ -z "$NOCONFIGURE" ]; then
+ "$srcdir"/configure --enable-maintainer-mode ${1+"$@"}
fi
-
-do_cmd() {
- echo "$ARGV0: running \`$@'"
- $@
-}
-
-# Run for top level directory
-
-printbold "Setting up $PACKAGE toplevel"
-do_cmd $LIBTOOLIZE $LIBTOOLIZE_FLAGS
-do_cmd $ACLOCAL $ACLOCAL_FLAGS
-do_cmd $AUTOHEADER
-do_cmd $AUTOMAKE $AUTOMAKE_FLAGS
-do_cmd $AUTOCONF
-
-cd $ORIGDIR || exit $?
-rm -f config.cache
-
-do_cmd $srcdir/configure --enable-maintainer-mode ${1+"$@"} || exit 1
More information about the Spice-commits
mailing list